Saltar al contenido principal
GET
/api/v1/characters

Endpoint experimental

Este es un endpoint experimental y puede estar sujeto a cambios.

Colección de Postman

Para ver más ejemplos, consulta esta Colección de Postman.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de consulta

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Ejemplo:
isAdult
enum<string>

Filter by adult content flag

Opciones disponibles:
true,
false
Ejemplo:

"false"

isPro
enum<string>

Filter to only show characters using pro models

Opciones disponibles:
true,
false
Ejemplo:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

Opciones disponibles:
true,
false
Ejemplo:

"true"

limit
integer
predeterminado:50

Number of characters to return (max: 100)

Rango requerido: 0 < x <= 100
Ejemplo:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
Ejemplo:
offset
integer | null
predeterminado:0

Number of characters to skip for pagination

Rango requerido: x >= 0
Ejemplo:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
Ejemplo:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

Opciones disponibles:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
Ejemplo:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

Opciones disponibles:
asc,
desc
Ejemplo:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Ejemplo:

Respuesta

OK

data
object[]
requerido
object
enum<string>
requerido
Opciones disponibles:
list